# Trigger

Button that triggers action execution or graph transition (the graph's first nodes are the direct successors of the component **Trigger**).

![](/files/c765bf4f688fa2c3b77e446714c5853171c81785)

## Component properties

| Eximee Designer property                                                               | Attribute name in the Source | Description                                         |
| -------------------------------------------------------------------------------------- | ---------------------------- | --------------------------------------------------- |
| **Content** (section **Basic properties**)                                             | text                         | Text to display on the button                       |
| **Sending a CLICK event instead of changing the value** (section **Basic properties**) | emitEventWithoutValueChange  | Sending a CLICK event instead of changing the value |

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

{% hint style="info" %}
Listening to the dependent component will cause the component to be displayed each time the dependent field's value changes.
{% endhint %}

## Supported events

Click **Trigger** may cause an event to be fired (action/event documentation: [Actions](/documentation/documentation-en/budowanie-aplikacji/logika-biznesowa/przeplywy/akcje.md))

| Name      | Description                                                                                                                   |
| --------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **CLICK** | Event sent after clicking the button (provided the option is enabled **Sending a CLICK event instead of changing the value**) |

![Illustration 1. Example appearance of the component on the application](/files/04b658bc3214a97b66d29dd3cde86b3fdc36c664)

{% hint style="info" %}
Demo conclusions: demoTriggers, demoPopup
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/6-interakcje-i-akcje/trigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
